#### 使用说明

1. 配置config.js 中的 SiteBaseUrl 修改为自己的域名，Private_key  私钥 与后台基础设置中API安全秘钥相同，谨慎修改
2. 配置微信开发工具中小程序的appid
3. 前往CRMEB后台配置小程序 appid 和 AppSecret 
3. 前往微信小程序后台配置业务，下载 合法域名
 
### 目录结构

~~~
└─view 小程序存放根目录
  ├─api 接口统一存放目录
  │ ├─api.js 公共接口
  │ ├─order.js 订单接口
  │ ├─store.js 产品接口
  │ └─user.js 用户接口
  ├─components 组件目录
  │ └─authorize 授权组件
  ├─css 全局css
  ├─font icon字体库
  ├─images 图片目录
  ├─pages 小程序页面目录
  ├─utils 工具类目录
  │ ├─autuLogin.js 自动授权登陆
  │ ├─request.js 请求基类
  │ ├─util.js 工具函数
  │ ├─md5.js md5加密函数
  │ └─wxh.js 帮助类函数
  ├─wxParse WX分析类
  ├─app.js 入口文件
  ├─app.json 配置文件
  ├─app.wxss 样式
  ├─config.js 程序配置
  └─project.config.json 项目配置

  1
