import request from "./../utils/request.js";
/**
 * 公共接口 ，优惠券接口 , 行业此讯 , 手机号码注册
 * 
*/

/**
 * 获取主页数据 无需授权
 * 
*/
export function getIndexData(data)
{
  return request.post("index/index",data,{ noAuth : true});
}

/**
 * 获取登录授权logo
*/
export function getLogo() {
  return request.post('index/get_logo', {}, { noAuth: true });
}

/**
 * 获取广告列表
*/
export function getAd(data) {
  return request.post('index/getAd', data, { noAuth: true });
}
/**
 * 退出登錄
 * 
*/
export function logout(){
  return request.get('logout');
}
/**
 * 微信支付
*/
export function duolabaoPay(data) {
  return request.post('weixin_payment/weixinPay', data, { noAuth: true });//duolabaoPay
}
/**
 * 跳转商家主页
 */
export function skipShop(data) {
  return request.post('index/skipShop', data, { noAuth: true });
}

/**
 * 免费领活动
 * 活动详情
 */
export function activity_find(data) {
  return request.post('EleActivity/activity_find', data, { noAuth: true });
}

/**
 * 免费领活动
 * 待领取的产品接口
 * @param {} data 
 */
export function collar_select(data) {
  return request.post('EleActivity/collar_select', data, { noAuth: true });
}

/**
 * 免费领活动
 * 
 * @param {} data 
 */
export function activity_list(data) {
  return request.post('EleActivity/activity_list', data, { noAuth: true });
}

/**
 * 获取滚动用户列表接口
 * @param {} data 
 */

export function activity_user(data) {
  return request.post('EleActivity/activity_user', data, { noAuth: true });
}

/**
 * 获取滚动用户列表接口
 * @param {} data 
 */
export function activity_code(data) {
  return request.post('EleActivity/activity_code', data, { noAuth: true });
}


/**
 * 获取便利店列表接口
 * @param {} data 
 */
export function store(data) {
  return request.post('shop/store', data, { noAuth: true });
}



