import request from "./../utils/request.js";
/**
 * 公共接口 ，优惠券接口 , 行业此讯 , 手机号码注册
 * 
*/

/**
 * 获取主页数据 无需授权
 * 
*/
export function getIndexData(data)
{
  return request.post("index/indexb", data, { noAuth: true});
}


/**
 * 获取登录授权logo
*/
export function getLogo(){
  return request.get('index/get_logo', {}, { noAuth: true });
}
/**
 * 退出登錄
 * 
*/
export function logout(){
  return request.get('logout');
}

/**
 * 获取商家列表数据
 * 
*/
export function getShopList(data) {
  return request.post('index/getShopList', data, { noAuth: true });
}

/**
 * 获取优选商家列表数据
 * 
*/
export function getSelectShop(data) {
  return request.get('index/getPreferredList', data, { noAuth: true });
}
// 外卖列表
export function getEleShop(data) {
  return request.get('index/getEleShop', data, { noAuth: true });
}

/**
 * 获取城市列表
 * 
*/
export function getCitys(data) {
  return request.get('index/getCitys', data, { noAuth: true });
}
/**
 * 选中城市
 * 
*/
export function bindCity(data) {
  return request.get('index/bindCity', data, { noAuth: true });
}
/**
 * 选中城市区县
 * 
*/
export function getAreaList(data) {
  return request.get('index/getAreaList', data, { noAuth: true });
}
/**
 * 获取基本配置
 * 
*/
export function getSettingConfig(data) {
  return request.get('index/getConfigByk', data, { noAuth: true });
}
export function getFreeShops(data) {
  return request.get('index/getFreeShops', data, { noAuth: true });
}
export function recommendGoodShops(data) {
  return request.get('index/recommendGoodShops', data, { noAuth: true });
}
// 营养美食
export function recommendGoods(data) {
  return request.get('index/recommendGoods', data, { noAuth: true });
}
export function hotShopList(data) {
  return request.get('index/hotShopList', data, { noAuth: true });
}
export function getPreferredShop(data) {
  return request.get('index/getPreferredShop', data, { noAuth: true });
}

//优惠券弹窗
export function saveSignTime(data) {
  return request.get('index/saveSignTime', data, { noAuth: true });
}
// 中秋
export function getMidautumnFestival(data) {
  return request.post("goods/getMidautumnFestival", data, { noAuth: true});
}

//提醒优惠券即将过期
export function couponRecord(data) {
  return request.post('index/couponRecord', data, { noAuth: true });
}

//提醒优惠券即将过期
export function getAd(data) {
  return request.post('index/getAd', data, { noAuth: true });
}


