import request from "./../utils/request.js";


/**
 * 商家发布抽奖接口
 * ouYang
*/
export function sendLottery(info, way,  pepole_num, prize){
  return request.post("slot/sendLottery", { info, way, pepole_num, prize}, { noAuth: true, noVerify: true });
}

/**
 * 商家取消抽奖
 * ouYang
*/
export function cancelLottery(lottery_id){
  return request.post("slot/cancelLottery", { lottery_id }, { noAuth: true, noVerify: true })
}

/**
 * 商家抽奖抽奖列表
 * ouYang
*/
export function LotteryList(type, limit, page) {
  return request.post("slot/LotteryList", { type, limit, page }, { noAuth: true, noVerify: true })
}

/**
 * 开奖接口
 * ouYang
*/
export function OpenLottery(lottery_id,shop_id){
  return request.post("slot/OpenLottery", { lottery_id, shop_id }, { noAuth: true, noVerify: true })
}

/**
 * 奖品详情接口
 */
export function LotteryInfo(lottery_id) {
  return request.post("slot/LotteryInfo", { lottery_id }, { noAuth: true, noVerify: true })
}

/**
 * 各个参与奖项 发起奖项数量
 */
export function countLottery(lottery_id) {
  return request.post("slot/countLottery", {},{ noAuth: true, noVerify: true })
}

/**
 * 抽奖用户信息
 */
export function LotteryUserInfo(lottery_id,type,grade) {
  return request.post("slot/LotteryUserInfo", { lottery_id, type, grade}, { noAuth: true, noVerify: true })
}

/**
 * 用户参与抽奖列表 && 用户中奖列表
 */
export function userList(type,page,limit){
  return request.post("slot/userList", { type, page, limit }, { noAuth: true, noVerify: true })
}

/**
 * 中奖用户名单
 */
export function prizeUserList(lottery_id, grade) {
  return request.post("slot/prizeUserList", { lottery_id, grade }, { noAuth: true, noVerify: true })
}
