let app = getApp();
import { login,getUserInfo } from '../../api/user.js';



Component({
  properties: {
    hidden: { //弹窗是否显示 true显示  false不显示
      type: Boolean,
      value: false,
    }
  },
  
  data: {
    
  },
  watch: {
    
  },
  ready(){
    // console.log(this.data.hidden,'组件被创建了')
  },
  methods: {
    close(){ //取消授权
      wx.showToast({
        title: '拒绝授权',
        icon:'none'
      })
      this.setData({ hidden: false });
      this.triggerEvent('setUserInfo',false);//传递方法
    },
    setUserInfo(e){
        console.info("333");
        let that=this;
        wx.getSetting({ //小程序已经向用户请求过的权限
          success(res) {
            console.log(res);
            if (!res.authSetting['scope.userInfo']) {  //没有授权
              console.log('第一次授权拒绝了');
              wx.showToast({
                title: '拒绝授权',
                icon:'none'
              })
              that.triggerEvent('setUserInfo',false);//传递方法

              // wx.authorize({ //在调用需授权 API 之前，提前向用户发起授权请求
              //   scope: 'scope.userInfo',
              //   success (res) {
              //     console.log(res)
              //     if(res.errMsg=="authorize:ok"){
                    
              //     }
              //   }
              // })
            }else{ // 授权了
              wx.showLoading({ title: '请稍后...' });
              wx.getUserInfo({ //获取用户信息
                lang: 'zh_CN',
                success:(res)=> {
                  var userInfo = res.userInfo
                  wx.login({
                    success (e) {
                      login({
                        code:e.code,
                        encryptedData:res.encryptedData,
                        iv:res.iv,
                        userInfo:res.userInfo, //信息
                        login_type:'wechat',//登陆方式 （小程序）
                        spread_spid:app.globalData.spid,//获取推广人ID
                        spread_code:app.globalData.code,//获取推广人分享二维码ID
                        cache_key:wx.getStorageSync('cache_key') || '' //缓存的key 第一次没有就不传 有就传
                      }).then(data=>{
                        wx.hideLoading();
                        that.setData({hidden:false}); //隐藏弹窗
                        if(data.code==0){ //成功
                          console.log(data)
                          
                          console.info("是否绑定手机",data.data.userInfo.mobile);
                          if(data.data.userInfo.mobile=="" || data.data.userInfo.mobile==null){
                            //去绑定手机号~
                            wx.redirectTo({
                              url: '/pages/register/register',
                            })
                          }

                          wx.setStorageSync('token', data.data.token);
                          wx.setStorageSync('cache_key', data.data.cache_key);
                          getUserInfo({}).then(cont => { //获取用户信息\
                            wx.setStorageSync('userInfo', cont.data);
                            wx.setStorageSync('user_id', cont.data.info.user_id);
                            that.triggerEvent('setUserInfo',true);//传递方法
                          }).catch(err=>{
                            console.log(err,'信息获取失败');
                          })
                        }
                        // app.showToast({title:data.msg,icon:'none'}); 不要提示
                      }).catch(err=>{
                        wx.hideLoading();
                       if(err.code=='-99999' || err.code=='-10800'){
                        wx.showLoading({ title: '再次授权...' });
                        that.setUserInfo();
                       }

                      })
                    }
                  })
                }
              })
            }
          },
          fail:(e)=>{
            console.info("抱错",e);
          }
        })
      

      
    }
  }
})