const app = getApp();
import {
    closing,
    myStore,
    closeshop
} from '../../api/shop.js';

var clientImgPath = app.globalData.clientImgPath;
var img_host = app.globalData.ImgPath;
var staticUrl = app.globalData.staticUrl;
Page({

    /**
     * 页面的初始数据
     */
    data: {
        shop_id: '',
        img_host: img_host,
        clientImgPath: clientImgPath,
        staticUrl,
        currentTab: 0,
  
    
        is_ws: '',
        money: 0.00,
        money_day: 0.00,
        money_yesterday: 0.00,
        deposit: '0.00',
        goldtwo: "0.00",
    },
    // 点击切换
    clickTab: function (e) {
        //debugger;
        var that = this;
        if (this.data.currentTab === e.target.dataset.current) {
            return false;
        } else {
            that.setData({
                currentTab: e.target.dataset.current,
            })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        var that = this;
        that.initializedata();
    },
    // 跳转锁客佣金
    commission: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/commission/commission',
        })
    },
    // 跳转我的锁客
    ILockguest: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/ILockguest/ILockguest',
        })
    },
    // 跳转我的粉丝
    Ifans: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/Ifans/Ifans',
        })
    },
    // 跳转订单管理
    weidianLine: function (e) {
        console.log(app.globalData.shopType);
        if (app.globalData.shopType == "ele") {
            wx.navigateTo({
                url: '/pages/personal/Ishop/delivery_orders_merchant/delivery_orders_merchant',
            })
        } else if (app.globalData.shopType == "weidian") {
            wx.navigateTo({
                url: '/pages/personal/Ishop/weidianLine_list_merchant/weidianLine_list_merchant',
            })
        } else if (app.globalData.shopType == "hotel") {
            wx.navigateTo({
                url: '/pages/personal/Ishop/hotel_order_merchant/hotel_order_merchant',
            })
        }
    },
    commentBack: function (e) {
        var id = e.currentTarget.dataset.shopid;
        wx.navigateTo({
            url: '/pages/personal/Ishop/comment_back/comment_back?shop_id=' + id,
        })
    },
    // 跳转店铺账单
    Ibill: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/Ibill/Ibill',
        })
    },
    // 跳转店铺管理
    shopManagement: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/shopManagement/shopManagement',
        })
    },
    // 跳转商品管理
    commodity: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/commodity_management/commodity_management',
        })
    },

    // 跳转商家资金转出/提现
    capital: function (e) {
        let gold = e.currentTarget.dataset.gold;
        wx.navigateTo({
            url: '/pages/personal/withdraw/withdraw?type=2&gold=' + gold,
        })
    },
    //跳转提现弹窗
    cremacteric(){
        this.selectComponent("#cremacteric").showFrame();
       
    },
    // 跳转商家二维码
    erweima: function (e) {
        wx.navigateTo({
            url: '/pages/personal/Ishop/erweima/erweima?shopname='+this.data.shop.shop_name,
        })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },
    

    /**
     * 生命周期函数--监听页面显示
     */
    // onShow: function () {
    //     this.initializedata()
    // },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },
    is_switch: function (e) {
        var is_open = e.target.dataset.current;
        closing(is_open).then(res => {
            if (res.code == 0) {
                wx.showModal({
                    title: '提示',
                    content: res.msg,
                })
            }
        })
    },
    // 跳转我的店铺
    initializedata: function () {
        var that = this;
        var params = {};
        myStore(params).then(res => {
            let shopdata = res.data.shop;
            if (res.code == 0) {
                app.globalData.storeInfo = res.data.shop;
                app.globalData.shopType = res.data.type;
                console.log(res.data.shop.is_open);
                if (res.data.shop.is_open == 1) {
                    that.setData({
                        currentTab: 0
                    })
                } else if (res.data.shop.is_open == 0) {
                    that.setData({
                        currentTab: 1
                    })
                }

                let deposit = (res.data.deposit / 100).toFixed(2);
                let gold = res.data.gold;
                let goldtwo = 0;
                if (shopdata.shoptype > 0 && parseFloat(shopdata.shopdeposit) > 0) {
                    goldtwo = parseFloat(shopdata.shopdeposit);
                } else {
                    if ((parseFloat(gold) - parseFloat(deposit)) >= 0) {
                        gold = parseFloat(gold) - parseFloat(deposit);
                        gold = gold.toFixed(2);
                        goldtwo = deposit;
                    } else {
                        // console.log(111)
                        goldtwo = gold;
                        gold = "0.00";
                    }
                }


                that.setData({
                    goldtwo: goldtwo,
                    deposit: deposit, //保证金
                    shop: res.data.shop,
                    shop_id: res.data.shop.shop_id,
                    counts: res.data.counts,
                    gold: gold, //res.data.gold,//可提现金额
                    is_ws: res.data.shop.is_ws,
                    is_open: res.data.shop.is_open,
                    cate_name: res.data.shop.cate_name,
                    member: app.globalData.userInfo,
                    type: res.data.type,
                    replyDataCount: res.data.replyDataCount
                })
            } else if (res.code == -10800) {
                wx.switchTab({
                    url: "/pages/user/user",
                })
                return false;
            } else {
                wx.showModal({
                    title: '提示',
                    content: "您还未申请提交入驻资料，\n或商铺还在审核中！",
                    showCancel: true,
                    confirmText: '去开通',
                    success: function (res) {
                        if (res.confirm) {
                            wx.redirectTo({
                                url: '/pages/personal/Ishop/shopManagement/shopManagement_change/shopManagement_change',
                            })
                        } else if (res.cancel) {
                            wx.navigateBack({
                                delta: 1
                            })
                        }
                    }
                })
            }
        })
    },

    shopclose: function () {
        wx.showModal({
            title: '提示',
            content: "您确定要关闭店铺吗？",
            showCancel: true,
            confirmText: '确定关闭',
            success: function (res) {
                if (res.confirm) {
                    var that = this;
                    var params = {};
                    closeshop(params).then(res => {
                   
                        if (res.code == 0) {
                            wx.showToast({
                                title: '成功关闭',
                                icon: 'success',
                                duration: 2000,
                                success:function(){
                                    wx.switchTab({
                                      url: '/pages/user/user',
                                    })
                                }
                              })
                         }
                         else {
                            wx.navigateBack({
                                delta: 1
                            })
                        }
                    })
                } else if (res.cancel) {
                    return false;
                }
            }
        })
    },
    ////显示说明文本 说明可提现金额未扣除保证金后的金额
    showmsgtx() {
        //tooltiptextTwo
        console.info("12");
        //this.selectComponent("#prizemodel").showModal();
        // this.selectComponent("#tooltiptextTwo").showModal();
    },
    towithdrawal(){
        wx.navigateTo({
          url: '/pages/withdraw/withdraw?type=2',
        })
    }
});