const app = getApp()
import { logisticsList, oneKeyShipments  } from '../../../api/shop.js';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath: app.globalData.clientImgPath,
    selectData: [],
    index:-1
  },
  bindPickerChange: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    var index = e.detail.value
    this.setData({
      index: e.detail.value
    })
    console.log(index)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    var that=this;
    that.setData({
      order_id: options.order_id,
      vendor_id:options.vendor_id
      
    })
    that.initializedata();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  //初始化数据
  initializedata: function () {
    var that=this;
    let params = {};
    logisticsList(params).then(res => {
        that.setData({
          selectData: res.data,
        })
    })
  },
  formSubmit:function(e){
    var that=this;
    console.log(that.data.vendor_id);
    let params = {
      order_id: that.data.order_id,
      shipperName: that.data.selectData[that.data.index],
      logisticCode: e.detail.value.logisticCode,
      formId:e.detail.formId,
      vendor_id:that.data.vendor_id

    };
    oneKeyShipments(params).then(res => {
      if (res.code == 0) {
        wx.showModal({
          title: '提示',
          content: res.msg,
          showCancel: false,
          success(res) {
            wx.redirectTo({
              url: '/pages/Ishop/weidianLine_list_merchant/weidianLine_list_merchant'
            })
          }
        })
      }else {
        app.showModal({
          content: res.msg,
          showCancel: false,
        });
      }
    })
  },
  cancelShipments:function(){
    wx.redirectTo({
      url: '/pages/Ishop/weidianLine_list_merchant/weidianLine_list_merchant'
    })
  }
})