const app = getApp()
import {
  orderDetail,
  requestOrder
} from '../../../api/order.js';
import luma from '../../../utils/luma.js';
var timer = '';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    img_host: app.globalData.ImgPath,
    clientImgPath: app.globalData.clientImgPath,
    staticUrl: app.globalData.staticUrl,
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    that.setData({
      order_id: options.order_id
    })
    that.initializedata();
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  initializedata: function () {
    var that = this;
    let params = {
      order_id: that.data.order_id,
    };
    orderDetail(params).then(res => {
      console.log(res);
      if (res.code < 0) {
        app.showToast({
          title: res.msg
        });
      } else {
        that.setData({
          detail: res.data.detail,
          logs: res.data.logs,
          CONFIG: app.globalData.CONFIG
        })
      }
    })
  },
  callTel: function (e) {
    wx.makePhoneCall({
      phoneNumber: e.currentTarget.dataset.tel // 仅为示例，并非真实的电话号码
    })
  },
  delorder: function (e) {
    var that = this;
    let params = {
      order_id: e.currentTarget.dataset.order_id,
      action: "delorder",
    };
    requestOrder(params).then(res => {
      if (res.code == 0) {
        that.toggleDialog();
        wx.redirectTo({
          url: '/pages/shop/order/weidianorder/weidianLine_list_user/weidianLine_list_user'
        })
      }
    })
  },
  jumpDd(e) {
    let shop_id = e.currentTarget.dataset.shop_id;
    luma.bindclassifyUrl(shop_id);
  },
})