// pages/lmping/order/order.js
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
import { getSpellWinList } from "../../../api/lmping.js";

var staticUrl = app.globalData.staticUrl;
Page({
  //   0 正在拼团
  // 1 拼团失败
  // 2 拼团成功
  /**
   * 页面的初始数据
   */
  data: {
    scrleft: 0,
    classid: 0,
    showtis: false,
    clientImgPath,
    staticUrl,

    page: 0,
    isshowall: false,
    datalist: [],

    thisYMD:"",//当天时间

    hidden:false,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if (options.tab == 0) {
      this.setData({
        classid: 0,
      })
      //...
    } else if (options.tab == 2) {
      this.setData({
        classid: 2,
      })
      //...
    }else if (options.tab == 1) {
      this.setData({
        classid: 1,
      })
      //...
    }

    this.getSpellWinListFun();


    //获取当前年月日
    var date = new Date();
    var year = date.getFullYear(); //获取当前年份(2位)
    var MM = date.getMonth() + 1;
    if (MM < 10) {
      MM = "0" + MM;
    }
    var DD = date.getDate();
    this.setData({
      thisYMD: `${year}-${MM}-${DD}`,
    })

  },
  setUserInfo(){
    this.setData({
      page: 0,
      isshowall: false,
      datalist: [],
    })
    this.getSpellWinListFun();
  },
  //点击中奖的产品
  clickitems() {
    if (this.data.classid == 2) {
      this.onClosetis1();//去查看订单详情~
    }
  },

  changeClass(e) {
    this.setData({
      classid: e.currentTarget.dataset.id,
      isshowall: false,
      page: 0,
      datalist: [],
    })
    this.getSpellWinListFun();//重新请求数据
  },
  //显示提示
  showtis() {
    this.setData({
      showtis: true,
    })
  },
  onClosetis() {
    this.setData({
      showtis: false,
    })
  },
  //查看订单
  onClosetis1() {
    this.setData({
      showtis: false,
    })
    wx.navigateTo({
      url: '/pages/order/order?currentTab=1&status=1,2',
    })
  },
  //参团列表
  getSpellWinListFun() {
    this.data.page++;
    getSpellWinList({
      is_win: this.data.classid,//？ 0 参与中 1是已中奖  1未中奖
      page: this.data.page,
    }).then((res) => {
      if (res.code == 0) {
        if (res.data.length == 0) {
          this.setData({
            isshowall: true,
          })
          wx.showToast({
            title: '没有更多了~',
            icon: "none"
          })
        }
        this.setData({
          datalist: [...this.data.datalist, ...res.data]
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(!wx.getStorageSync('userInfo')){
      this.setData({
        hidden:true,
      });
      return;
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isshowall == false) {
      this.getSpellWinListFun();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})