const app = getApp()
import { orderDetail, requestOrder, orderPay } from '../../api/order.js';
var timer = '';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    pages:true,

    img_host: app.globalData.ImgPath,
    clientImgPath: app.globalData.clientImgPath,
    staticUrl:app.globalData.staticUrl,
    showDialog: false,
    // 倒计时
    page:1,
    is_loading_done:false,
    list:[],

    // 分享弹窗
    flag:false,
    flags:false,
    wrapAnimate:'wrapAnimate',
    bgOpacity:0,
    frameAnimate:'frameAnimate',
  },
  
  // 取消弹窗
  toggleDialog() {
    this.setData({
      showDialog: !this.data.showDialog
    });
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) { 
    var that=this;
    that.setData({
      order_id:options.order_id
    })
    that.initializedata();   
  },
  finished() { //倒计时结束
    wx.setStorageSync('isDelorder', 'daojishi');
    this.initializedata();   
  },

// 分享弹窗11
showFrame() {
  this.setData({ flag: true, wrapAnimate: 'wrapAnimate', frameAnimate: 'frameAnimate' });
  this.eventDraw();
  
},
/* 点击加号 */
bindPlus: function () {
  var num = this.data.num;
  // 不作过多考虑自增1  
  num++;
  // 只有大于一件的时候，才能normal状态，否则disable状态  
  var minusStatus = num < 1 ? 'disabled' : 'normal';
  // 将数值与状态写回  
  this.setData({
    num: num,
    minusStatus: minusStatus
  });
},  
  /* 输入框事件 */
bindManual: function (e) {
  var num = e.detail.value;
  // 将数值与状态写回  
  this.setData({
    num: num
  });
},


showFrames() {
  this.setData({ flags: true, wrapAnimate: 'wrapAnimate', frameAnimate: 'frameAnimate' });
  this.eventSave();
 

},
hideFrame() {
  const that= this;
  that.setData({ wrapAnimate: 'wrapAnimateOut', frameAnimate: 'frameAnimateOut' });
  setTimeout(()=>{
    that.setData({ flag:false,flags: false})
  },400)
  
},
// 绘画弹窗
eventDraw () {
wx.showLoading({
title: '',
mask: true
})
this.setData({
painting: {
  width: 375,
  height:600,
  clear: true,
  views: [
    {
      type: 'image',
      url: this.data.clientImgPath+'/2020/index/group_img/white.png',
      top: 0,
      left: 0,
      width: 375,
      height:600
    },
    {
      type: 'image',
      url: this.data.clientImgPath+'/2020/index/group_img/lm.png',
      top: 10,
      left: 135,
      width:120,
      height:30
    },
    
    {
      type: 'image',
      url: this.data.clientImgPath+'/2020/index/group_img/order.png',
      top: 50,
      left: 10,
      width: 355,
      height:280
    },
  
    {
      type: 'image',
      url: this.data.clientImgPath+'/images/yx/dui@2x.png',
      top: 380,
      left: 10,
      width: 18,
      color:'#FF0000',
      height: 18
    },
    {
      type: 'image',
      url: this.data.clientImgPath+'/images/yx/dui@2x.png',
      top: 380,
      left: 100,
      width: 18,
      color:'#FF0000',
      height: 18
    },
    {
      type: 'image',
      url: this.data.clientImgPath+'/images/yx/dui@2x.png',
      top: 380,
      left: 190,
      width: 18,
      color:'#FF0000',
      height: 18
    },
    {
      type: 'image',
      url: this.data.clientImgPath+'/images/yx/dui@2x.png',
      top: 380,
      left: 280,
      width: 18,
      color:'#FF0000',
      height: 18
    },
    {
      type: 'text',
      content: '风俗志端午节粽子礼盒手提嘉兴蛋黄肉粽高档粽子',
      lineHeight: 30,
      color: '#383549',
      textAlign: 'left',
      left: 10,
      top: 320,
      width: 287,
      fontSize: 22,
      // MaxLineNumber: 2,
      breakWord: true,
      bolder: true
    },
    {
      type: 'text',
      content: '优惠活动',
      fontSize: 14,
      color: '#979797',
      top: 384,
      left: 302
    },
    {
      type: 'text',
      content: '优选好货',
      fontSize: 14,
      color: '#979797',
      top: 384,
      left: 212,
    
    },
    {
      type: 'text',
      content: '正品保障',
      fontSize: 14,
      color: '#979797',
      top: 384,
      left: 122,
    
    },
    {
      type: 'text',
      content: '极速发货',
      fontSize: 14,
      color: '#979797',
      top: 384,
      left: 32,
    
    },
    {
      type: 'text',
      content: '￥138.00',
      fontSize: 24,
      color: '#F64F15',
      textAlign: 'left',
      top: 410,
      left: 10,
  
    },
    {
      type: 'text',
      content: '￥108.00',
      fontSize: 18,
      color: '#979797',
      textAlign: 'left',
      top: 416,
      left: 110,
      textDecoration: 'line-through'
    },
    {
      type: 'text',
      content: '悦想自营',
      fontSize: 14,
      color: '#F64F15',
      textAlign: 'left',
      top: 416,
      left: 200,
    },
    {
      type: 'image',
      url: this.data.clientImgPath+'/2020/index/group_img/gongzhonghao.png',
      top: 450,
      left: 150,
      lineHeight: 20,
      MaxLineNumber: 2,
      breakWord: true,
      width: 100,
      height: 100
    },
    {
      type: 'text',
      content: '识别二维码立即下单',
  
      fontSize:18,
      color: '#979797',
      textAlign: 'left',
      top: 565,
      left: 120,
  
    },
  ]
}
})
},
// 保存分享
eventSave () {
  wx.saveImageToPhotosAlbum({
    filePath: this.data.shareImage,
  
    success (res) {
      wx.showToast({
        title: '保存图片成功',
        icon: 'success',
        duration: 2000
      })
    }
    
})

},
eventGetImage (event) {
  console.log(event)
  wx.hideLoading()
  const { tempFilePath, errMsg } = event.detail
  if (errMsg === 'canvasdrawer:ok') {
    this.setData({
      shareImage: tempFilePath
    })
  }
},



  //商品详情
  jumpToDetail(e) {
    let goods_id = e.currentTarget.dataset.goods_id;
    let miao = e.currentTarget.dataset.miao;
    let cate_id = e.currentTarget.dataset.cate_id;
    if(miao>0){
      wx.navigateTo({
        url: '/pages/shop/shops/weidian/weidian_details/productMs/productMs?goods_id=' + goods_id,
      })
    }else{
      wx.navigateTo({
        url: '/pages/shop/shops/weidian/weidian_details/weidian_details?goods_id=' + goods_id + '&cate_id=' + cate_id,
      })
    }
   
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  // 支付方式弹窗
  method: function (e) {
    this.selectComponent("#method_payment").showModal();
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  initializedata: function () {
    var that = this;
    let params = {
      order_id: that.data.order_id,
    };
    orderDetail(params).then(res => {
      console.log(res);
        if(res.code<0){
          app.showToast({title: res.msg});
        }else{
          that.setData({
            detail: res.data.detail,
            CONFIG: app.globalData.CONFIG,
            order_id:res.data.detail.order_id,
          })

          if(res.data.logs.length!=0){
            this.setData({
              logs:res.data.logs.length==2?res.data.logs[1]:res.data.logs[0],
              logss:res.data.logs.length==2?res.data.logs[0]:res.data.logs[0],
              gross:res.data.logs.length==2?res.data.logs[1]:res.data.logs[0],
              code:res.data.logs.length==2?res.data.logs[1].code:res.data.logs[0].code,
              order_type:res.data.logs.length==2?res.data.logs[1].type:res.data.logs[0].type,
              alipaycode:res.data.logs.length==2&&res.data.logs[1].code=='alipay'?'alipay':res.data.logs.length==2&&res.data.logs[1].code=='ysf'?'ysf':'weixin',
              mingle:res.data.logs.length==2 &&res.data.logs[0].code=='money'?'money':res.data.logs.length==2 &&res.data.logs[0].code=='commission'?'commission':'',
            })

            let applet= Number(Number(this.data.logs.need_pay).toFixed(2) / 100).toFixed(2);
            let applets= Number(Number(this.data.logss.need_pay).toFixed(2) / 100).toFixed(2);
            let detail=this.data.detail;
            let totals =Number(Number(this.data.detail.total).toFixed(2)-applet).toFixed(2);
            let number= that.data.code=='weixin'||that.data.alipaycode=='alipay'||that.data.alipaycode=='ysf'?(that.data.gross.need_pay / 100):that.data.detail.total-(that.data.gross.need_pay / 100)

            that.setData({
              number,
              applet,
              totals,
              applets
            })
            
          }
          
          
        }
    })
  },
  callTel: function (e) {
    wx.makePhoneCall({
      phoneNumber: e.currentTarget.dataset.tel // 仅为示例，并非真实的电话号码
    })
  },
  delorder:function(e){
    var that = this;
    let params = {
      order_id: e.currentTarget.dataset.order_id,
      action: "delorder",
    };
    requestOrder(params).then(res => {
      if(res.code==0){
        wx.setStorageSync('isDelorder', 'delorder');
        that.toggleDialog();
        wx.navigateBack({});
      }
    })
  },
  paymentCode: function (e){
    console.info(e,1111111)
    var that=this;
    let money = e.detail.need_pay
    let pay_way = e.detail.pay_way
    that.setData({
      money: money,
      pay_way: pay_way
    })
    if (pay_way=="money" || pay_way=="commission") {
      this.selectComponent("#payment_code").showInputLayer();
    }else{
      that.submitpwd(e);
    }
  },
  submitpwd:function(e){
    console.log(e)
    var that = this;
    let paw_val = e.detail.pwd;
    let need_pay=Number(e.detail.need_pay);
    that.setData({
      need_pay
    })
    
    let params = {
      order_id: that.data.order_id,
      payment: that.data.code=='commission'?'commission':that.data.pay_way,
      money: that.data.money,
      paypassword: paw_val,
      commission:that.data.applets
    };
    orderPay(params).then(res => {
      let log_id = res.data.length==2?res.data[1].log_id:res.data[0].log_id;
      let order_amount = res.data.length==2?(res.data[1].need_pay / 100).toFixed(2):(res.data[0].need_pay / 100).toFixed(2);

      let order_id=that.data.order_id;
      let order_type=that.data.order_type;
      if (res.code == 0) {
        
        if (that.data.pay_way=="money" || that.data.pay_way=="commission"){
          wx.setStorageSync('isDelorder', 'getPay');
          //余额支付成功
          wx.redirectTo({
            url: '/pages/shop/order/weidianorder/pay_success_weidian/pay_success_weidian?amount=' + order_amount + '&log_id=' + log_id + '&order_id=' + order_id + '&order_type=' + order_type,
          })
        }else{
          wx.redirectTo({
            url: '/pages/pay/pay?order_amount=' + order_amount + "&logs_id=" + log_id+ '&order_id=' + order_id+ '&order_type=' + order_type
          })
        }
      } else {
        app.showModal({ content: res.msg})
      }
    })
  },
  // 获取滚动条当前位置
  onPageScroll: function (e) {
    if (e.scrollTop > 100) {
      this.setData({
        floorstatus: true
      });
    } else {
      this.setData({
        floorstatus: false
      });
    }
  },
  jumpShop(e){
    let shop_id = e.currentTarget.dataset.shop_id
    wx.navigateTo({
      url: '/pages/shop/shops/weidian/home_page_weidian/home_page_weidian?shop_id=' + shop_id,
    })
  },
  // jumpToDetail(e) {
  //   let goods_id = e.currentTarget.dataset.goods_id
  //   wx.navigateTo({
  //     url: '/pages/shop/shops/weidian/weidian_details/weidian_details?goods_id=' + goods_id,
  //   })
  // },
//分享弹窗
ShareGroup(){
  this.selectComponent('#bottonShareGroup').showFrame();
},


  //回到顶部
  goTop: function (e) {  // 一键回到顶部
    if (wx.pageScrollTo) {
      wx.pageScrollTo({
        scrollTop: 0
      })
    } else {
      wx.showModal({
        title: '提示',
        content: '当前微信版本过低，无法使用该功能，请升级到最新微信版本后重试。'
      })
    }
  },
})