import {
  checkPassword,
  resetmypassword,
  sendSms,
  havepassword
} from "../../api/basicInformation.js";
var app = getApp();
// pages/personal//set/payment_code/payment_code.jsz
Page({

  /**
   * 页面的初始数据
   */
  data: {
    currentTab: 0,
    Length: 6, //输入框个数
    isFocus: true, //聚焦
    Value: "", //输入的内容
    ispassword: true, //是否密文显示 true为密文， false为明文。
    disabled: true,
    disabled_tu: true,
    // 验证码
    isGetMsg: true,
    dTime: 60,
    timer: '',
    c_password: [],
    is_hidden: false,
    newPass: '',
    msg: "请验证支付密码确保是本人操作",
    mobile: '',
    is_msg: '修改',
    is_create: false

  },
  //点击切换
  clickTab: function (e) {
    console.log(this.data.password)
    //debugger;
    var that = this;
    if (this.data.currentTab === e.target.dataset.current) {
      return false;
    } else {
      that.setData({
        currentTab: e.target.dataset.current,
      })
    }
  },

  // 填写密码判断按钮状态
  qr_code: function (e) {
    var that = this;
    console.log(e.detail.cursor)
    var code_cursor = e.detail.cursor;
    that.setData({
      code_cursor: e.detail.cursor
    })

    if (e.detail.cursor == 6) {
      that.data.disabled_tu = false;
      that.setData({
        disabled_tu: false,
      });
      console.log(that.data.disabled_tu)
    } else {
      that.data.disabled_tu = true;
      that.setData({
        disabled_tu: true,
      });
    }
    console.log(that.data.disabled_tu)
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      currentTab: options.type ? options.type : 0
    })
    this.havepassword();
  },
  havepassword() {
    havepassword().then(res => {
      if (res.code == -1) {
        this.setData({
          msg: '创建',
          is_hidden: true,
          is_new: true,
          msg: '请输入你的密码',
          disabled: false
        })

      }
    })
  },
  // 密码输入框
  Focus(e) {
    var that = this;
    //console.log(e.detail.value);
    var inputValue = e.detail.value;
    var ilen = inputValue.length;
    if (ilen == 6) {
      console.log(inputValue)
      that.setData({
        oldPAss: inputValue,
        disabled: false,
      })
    } else {
      that.setData({
        disabled: true,
      })
    }
    that.setData({
      Value: inputValue,
    })
  },
  Tap() {
    var that = this;
    that.setData({
      isFocus: true,
    })
  },
  // formSubmit(e) {
  //     this.setData(
  //       oldPAss = e.detail.value.password
  //     )
  // },
  is_next() {
    let that = this
    var data = {
      user_id: this.data.user_id,
      password: this.data.oldPAss,
      is_pay: true
    }
    checkPassword(data).then(
      res => {
        if (res.code == 0) {
          that.setData({
            msg: "",
            is_hidden: true
          })
        } else {
          app.showModal({
            content: "输入的旧密码是错误的",
            showCancel: false
          })
          //原本事替换为空，但还是影响输错的用户，所以先隐藏起来，让用户有更好的体验，不用重复点击清除空字符
          // this.setData({
          //   Value: '',
          // })
        }
      }
    );
  },
  checkChange(e) {
    var data = {
      newPass: e.detail.value.newPass,
      verifyPass: e.detail.value.verifyPass,
      is_pay: true
    }
    resetmypassword(data).then(
      res => {
        if (res.code == 0) {
          wx.showModal({
            title: '提示',
            content: '操作成功',
            success: function (res) {
              if (res.confirm) {
                wx.navigateBack({
                  delta: 1
                })
              }
            }
          })


        } else {
          wx.showModal({
            title: '提示',
            content: res.msg,
            showCancel: false,
            confirmText: '确认',

          })
        }
      }
    )

  },
  setMobile(e) {
    this.setData({
      mobile: e.detail.value
    })
  },
  // 获取验证码
  getMsgBtn() {
    let that = this
    // 判断是否填了手机号码，假设未填写
    let mobile = that.data.mobile

    if (mobile.length == 11) {
      var data = ({
        mobile: mobile,
        user_id: app.globalData.userInfo.user_id
      })
      sendSms(data).then(res => {
        if (res.code == -1) {
          console.log(111)
          wx.showModal({
            title: '提示',
            content: res.msg,
            showCancel: false,
            confirmText: '确认',
          })
        }
      })
      that.setData({
        isGetMsg: false,
        dTime: 60,
        timer: setInterval(function () {
          let seconds = that.data.dTime
          that.setData({
            dTime: seconds - 1
          })
          if (that.data.dTime == 0) {
            // 读秒结束 清空计时器
            that.setData({
              isGetMsg: true,
              dTime: 60
            })
            clearInterval(that.data.timer)
          }
        }, 1000)
      })
    } else {
      // 此为自定义的提示
      wx.showModal({
        title: '提示',
        content: "请正确输入手机号",
        showCancel: false,
        confirmText: '确认',
      })
    }
  },



  forgetPass(e) {
    console.log(e)
    var data = {
      mobile: e.detail.value.mobile,
      newPass: e.detail.value.newPass,
      verifycode: e.detail.value.verifyCode,
      verifyPass: e.detail.value.verifyPass,
      is_verifycode: true,
      is_pay: 1
    }
    resetmypassword(data).then(res => {
      if (res.code == 0) {
        app.showModal({
          content: "修改密码成功",
          url: "/pages/personal/set/set"
        })

      } else {
        wx.showModal({
          title: '提示',
          content: res.msg,
          showCancel: false,
          confirmText: '确认',

        })
      }
    })
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})