//设置角标
import {getUserInfo} from "../api/user";
/***
 * 2020 1.11 封装 全局获取角标设置
 * 
 */

 /***
  * 
  
{
  "pagePath": "pages/shopping/shopping",
  "text": "买菜",
  "iconPath": "/images/newtabbar/tab4_1.png",
  "selectedIconPath": "/images/newtabbar/tab4_0.png"
},

 {
    "pagePath": "pages/index/index",
    "text": "拼团",
    "iconPath": "/images/newtabbar/a.png",
    "selectedIconPath": "/images/newtabbar/a1.png"
  },

  {
    "pagePath": "pages/index/index",
    "text": "首页",
    "iconPath": "/images/newtabbar/tab1_0.png",
    "selectedIconPath": "/images/newtabbar/tab1_1.png"
  },

  */

// const CornerIndex = 2;
const CornerIndex = 1;

export function setsubscript(){
  return new Promise((reslove, reject) => {
    getUserInfo({
      
    }).then((res)=>{
      //设置角标
      if(res.code==0){
        console.info("设置角标~");
        if (res.data.advicesCount > 0 && res.data.advicesCount <= 99) {
          wx.setTabBarBadge({
              index: CornerIndex,
              text: String(res.data.advicesCount),
          })
        } else if (res.data.advicesCount > 0 && res.data.advicesCount > 99) {
          wx.setTabBarBadge({
              index: CornerIndex,
              text: "99",
          })
        } else {
          wx.removeTabBarBadge({ index: CornerIndex });
        }
        reslove(res);
      }else{
        reslove(res);
      }
    }).catch((err)=>{
      reject(err);
    })
  })
}