import request from "./../utils/request.js";

/**
 * 选择省市区
 * 
*/
export function getAddressList(data) {
  return request.get("basic_information/getAddressList", data, { noAuth: true });
}

/**
 * 获取主页数据 无需授权
 * 
*/
export function resetPassword(data) {
  return request.get("basic_information/resetPassword", data, { noAuth: true });
}
//密码验证
export function checkPassword(data) {
  return request.get("basic_information/checkPassword", data, { noAuth: true });
}

/**
 * 获取微信默认银行卡
 * 顺子
*/
export function getWxBankList() {
  return request.post("basic_information/bankinfoList", {}, { noAuth: true });
}

/**
 * 会员添加银行卡
 * 
 * 顺子
*/
export function addBank(data) {
  return request.post("basic_information/addBank", data, { noAuth: true });
}
/**
 * 会员银行卡列表
 * 
 * 顺子
*/
export function bankList() {
  return request.post("basic_information/bankList", {}, { noAuth: true });
}
/**
 * 删除会员银行卡
 * 
 * 顺子
*/
export function deleteBank(data) {
  return request.post("basic_information/deleteBank", data, { noAuth: false });
}


export function sendSms(data) {
  return request.post("basic_information/sendSms", data, { noAuth: true });
}

/**
 * 会员添加地址
*/
export function addAddress(data) {
  return request.post("Basic_information/addAddress", data, { noAuth: true });
}

/**
 * 会员地址列表
*/
export function addrList(data) {
  return request.post("Basic_information/addrList", data, { noAuth: true });
} 


export function getUserAddr(data) {
  return request.post("basic_information/getUserAddr", data, { noAuth: true });
} 

export function deleteAddr(data) {
  return request.post("basic_information/deleteAddr", data, { noAuth: true });
}

export function resetmypassword(data) {
  return request.post("basic_information/resetmypassword", data, { noAuth: true });
} 
export function setDefaultAddr(data) {
  return request.post("basic_information/setDefaultAddr", data, { noAuth: true });
} 
/**
 * 判断是否有支付密码
 */
export function havepassword() {
  return request.post('basic_information/havepassword', {}, { noAuth: true });
}