import request from "./../utils/request.js";


/**
 * 悦想拼相关
*/


//登陆注册接口
export function login(data) {
  return request.post("Spell/login", data,{ noAuth: true,noVerify:false,isLoading:false });
}


//发送验证码
export function sendSms(data) {
  return request.post("BasicInformation/sendSms", data,{ noAuth: true,noVerify:false,isLoading:false });
}


/***
 * 悦想拼 个人中心
 */
export function Spellhome(data) {
  return request.post("Spell/home", data,{ noAuth: false,noVerify:false,isLoading:false });
}


//签到
export function Spellsign(data) {
  return request.post("Spell/sign", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//获取签到信息
export function getSignInfo(data) {
  return request.post("Spell/getSignInfo", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//开团商品列表
export function getGroupList(data) {
  return request.post("Spell/getGroupList", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//开团商品子列表
export function getGroupListsub(data) {
  return request.post("Spell/getGroupListsub", data,{ noAuth: false,noVerify:false,isLoading:false });
}


//参团列表
export function getSpellWinList(data) {
  return request.post("Spell/getSpellWinList", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//推广会员列表
export function getGroupUserList(data) {
  return request.post("Spell/getGroupUserList", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//未中奖记录
export function getSpellRewardList(data) {
  return request.post("Spell/getSpellRewardList", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//获取悦想值记录
export function getSpellValueList(data) {
  return request.post("Spell/getSpellValueList", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//充值记录
export function getSpellMoneyList(data) {
  return request.post("Spell/getSpellMoneyList", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//转账
export function transferAccounts(data) {
  return request.post("Spell/transferAccounts", data,{ noAuth: false,noVerify:false,isLoading:false });
}


//立即参团 group_id
export function nowJoinGroup(data) {
  return request.post("LumaGroup/nowJoinGroup", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//自动拼团 group_id
export function setAutoGroup(data) {
  return request.post("LumaGroup/setAutoGroup", data,{ noAuth: false,noVerify:false,isLoading:false });
}


//根据口令获取用户信息
export function getShareUser(data) {
  return request.post("Spell/getShareUser", data,{ noAuth: false,noVerify:false,isLoading:false });
}

//获取活动说明
export function getRules(data) {
  return request.post("LumaGroup/getRules", data,{ noAuth: false,noVerify:false,isLoading:false });
}
