import request from "./../utils/request.js";


/**
 * 优选商城首页接口
 * 
*/
export function goodsIndex(data)
{
  return request.get("goods/index",data,{ noAuth : true});
}
export function bestGoodsList(data) {
  return request.post("goods/bestGoodsList", data, { noAuth: true,noVerify:false,isLoading:false });
}
export function detail(data) {
  return request.post("goods/detail", data,{ noAuth: true,noVerify:false,isLoading:false });
}
export function mallIndex(data) {
  return request.get("goods/mallIndex", data, { noAuth: true });
}


// 优选
export function youliIndex(data) {
  return request.get("goods/youliIndex", data, { noAuth: true });
}

export function mallGoodsList(data) {
  return request.get("goods/mallGoodsList", data, { noAuth: true });
}
export function cateGoodsList(data) {
  return request.get("goods/cateGoodsList", data, { noAuth: true });
}
export function createGoodsQrcode(data) {
  return request.get("goods/createGoodsQrcode", data, { noAuth: true });
}
/**
 * 专题产品
 */
export function specGoodsList(data) {
  return request.post("goods/specGoodsList", data, { noAuth: true });
}