import request from "./../utils/request.js";

/**
 * 合伙人中心
 * 
 */
export function getPartnerCenter(data) {
    return request.post("partner_center/index", data, { noAuth: false });
}

/**
 * 已推广的合伙人列表
 * 
 */
export function getPromotionUsers(data) {
    return request.post("partner_center/promotionUsers", data, {noAuth: false});
}

/**
 * 已推广的合伙人列表(有时间筛选)
 * 
 */
// export function getPromotionUsers(data) {
//     return request.post("partner_center/promotionOfUsers", data, {noAuth: false});
// }

/**
 * 已推广的商铺列表
 * 
 */
export function getPromotionShop(data) {
    return request.post("partner_center/promotionShop", data, {noAuth: false});
}

/**
 * 我的股权信息
 * 
 */
export function getUsersEquity(data) {
    return request.post("partner_center/usersEquity", data, {noAuth: false});
}

/**用户日志 */
export function userLogs(data) {
    return request.post("users_cash/partnerLogs", data, {noAuth: false});
}

/**合伙人推广专区 */
export function shareMakerGoods(data) {
    return request.post("goods/shareMakerGoods", data, {noAuth: false});
}


/**
 * 添加合伙人信息
 * @param {} data 
 */
export function addMessage(data) {
    return request.post("partner/addMessage", data, {noAuth: false});
}


/**
 * 合伙人领取产品弹窗
 * @param {} data 
 */
export function partnerorder(data) {
    return request.post("order/partnerorder", data, {noAuth: false});
}

//获取合伙人邀请任务规则
export function getConditions(data) {
    return request.post("partner_center/getConditions", data, {noAuth: false});
}

