import request from "./../utils/request.js";

/**
 * 获取主页数据 无需授权
 * 
*/

//便利店商品详情  公告
export function getShopNotice(data)
{
  return request.post("EleProduct/getShopNotice",data,{ noAuth : true,islutwo:true});
}

//便利店商品详情  猜你喜欢
export function eleProductRecommendList(data)
{
  return request.post("EleProduct/eleProductRecommendList",data,{ noAuth : true,islutwo:true});
}

/**
 * 我的店铺
 * ouYang
*/
export function myStore() {
  return request.post("Store/myStore", {}, { noAuth: true, noVerify: true });
}
/**
 * 外卖打样
 * ouYang
*/
export function closing(is_open) {
  return request.post("Store/closing", {is_open}, { noAuth: true, noVerify: true });
}

/**
 * 酒店首页
 * ouYang
*/
export function hotel_index(la, ln,page=0,myCity ) {
  return request.post("Hotel/hotel_index", { la, ln, page,myCity}, { noAuth: true, noVerify: true });
}

/**
 * 酒店查找
 * ouYang
*/
export function hotelSkeyword(lat, lng, skeyword, page = 0) {
  return request.post("Hotel/hotel_index", { lat, lng, skeyword, page }, { noAuth: true, noVerify: true });
}
/**
 * 外卖添加商品分类
 * ouYang
*/
export function goodsType(cate_name, cate_id) {
  return request.post("Store/goodsType", { cate_name, cate_id}, { noAuth: true, noVerify: true });
}


/**
 * 商城添加商品分类
 * ouYang
*/
export function delTyep(cate_id) {
  return request.post("Store/delTyep", { cate_id }, { noAuth: true, noVerify: true });
}

/**
 * 酒店足迹
 * ouYang
*/
export function history(lat, lng,hotel_id,page=0) {
  return request.post("Hotel/history", { lat, lng, hotel_id, page}, { noAuth: true, noVerify: true });
}

/**
 * 酒店订单
 * ouYang
*/
export function hotel_order(hotel_id, room_id) {
  return request.post("Hotel/order_msg", {hotel_id, room_id}, { noAuth: true, noVerify: true });
}

/**
 * 酒店订单详情
 * ouYang
*/
export function order_details(order_id,is_quick) {
  return request.post("Hotel/order_details", {order_id,is_quick}, { noAuth: true, noVerify: true });
}

/**
 * 酒店立即支付
 * ouYang
*/
export function payment(data) {
  return request.post("Hotel/payment", { data}, { noAuth: true, noVerify: true });
}

/**
 * 酒店列表
 * ouYang
*/
export function order_list(status = 0, page = 0) {
  return request.post("Hotel/order_list", { status, page }, { noAuth: true, noVerify: true });
}

/**
 * 酒店支付成功后接口
 * ouYang
*/
export function success(logs_id) {
  return request.post("Hotel/hotel_pay_success", { logs_id}, { noAuth: true, noVerify: true });
}

/**
 * 区分商店
 * ouYang
*/
export function shopType(shopId) {
  return request.post("Store/shopType", { shopId }, { noAuth: true, noVerify: true });
}

/**
 * 获取酒店id
 * ouYang
*/
export function hotelId(shopId) {
  return request.post("Hotel/hotelId", { shopId }, { noAuth: true, noVerify: true });
}

/**
 * 获取酒店最优券
 * ouYang
*/
export function coupon_hotel(hotel_id, need_pay, coupon_id,roomId=0,index=1) {
  return request.post("Hotel/coupon_hotel", { hotel_id, need_pay, coupon_id,roomId,index }, { noAuth: true, noVerify: true });
}

/**
 * 酒店重新下单
 * ouYang
*/
export function pay_hotel(order_id) {
  return request.post("Hotel/pay_hotel", { order_id }, { noAuth: true, noVerify: true });
}
 //取消订单
 export function changeOrderStatus(data) {
  return request.post("order/changeOrderStatus", data, { noAuth: true });
}
/**
 * 删除酒店订单
 * ouYang
*/
export function delHotel(data) {
  return request.post("Hotel/delHotel", data, { noAuth: true, noVerify: true });
}
/**
 * 外卖和商城商品分类列表
 * ouYang
*/
export function typeList() {
  return request.post("Store/typeList", {}, { noAuth: true, noVerify: true });
}

/**
 * 外卖和商城商品类型详情
 * ouYang
*/
export function cate(cate_id) {
  return request.post("Store/cate", { cate_id}, { noAuth: true, noVerify: true });
}

/**
 *酒店商户类型
 * ouYang
*/
export function roomType() {
  return request.post("Hotel/roomType", { }, { noAuth: true, noVerify: true });
}

/**
 *酒店房间添加
 * ouYang
*/
export function setRoom(data) {
  return request.post("Hotel/setRoom", {data}, { noAuth: true, noVerify: true });
}
/**
 *酒店商户订单
 * ouYang
*/
export function shopHotel(status,page) {
  return request.post("Hotel/shop_hotel", {status,page}, { noAuth: true, noVerify: true });
}

/**
 *确认酒店客户入住
 * ouYang
*/
export function complete(orderid) {
  return request.post("Hotel/complete", {orderid}, { noAuth: true, noVerify: true });
}
/**
 *商城优惠券
 * ouYang
*/
export function shop_coupons(shop_id) {
  return request.post("coupons/shop_coupons", {shop_id}, { noAuth: true, noVerify: true });
}
/**
 * wxl
 */
export function lockGuest(data) {
  return request.post("Store/lockGuestLoaddata", data, { noAuth: false, noVerify: true });
}
/**
 * 商城订单状态
 */
export function orderStatus(data) {
  return request.post("Store/orderStatus", data, { noAuth: false });
}
/**
 * 商城订单列表
 */
export function orderGoodsList(data) {
  return request.post("Store/orderList", data, { noAuth: false });
}
/**
 * 订单详情
 */
export function orderGoodsDetail(data) {
  return request.post("Order/orderDetail", data, { noAuth: false });
}
/**
 * 订单状态处理 
 */
export function requestOrder(data) {
  return request.post("Store/" + data.action, data, { noAuth: false });
}
/**
 * 查询物流公司
 */
export function logisticsList(data) {
  return request.post("Store/logisticsList", data, { noAuth: false });
}
/**
 * 一键发货
 */
export function oneKeyShipments(data) {
  return request.post("Store/oneKeyShipments", data, { noAuth: false });
}
/**
 * 外卖订单状态
 */
export function eleOrderStatus(data) {
  return request.post("Store/eleOrderStatus", data, { noAuth: false });
}
/**
 * 外卖订单列表
 */
export function eleOrderList(data) {
  return request.post("Store/eleOrderList", data, { noAuth: false });
}

export function eleOrderDetails(data) {
  return request.post("Store/eleOrderDetails", data, { noAuth: false });
}

/**
 * 结束
 */
export function getIndexData(data) {
  return request.get("shop/index", data, { noAuth: true });
}

export function getShopComment(data) {
  return request.get("shop/getShopComment", data, { noAuth: true });
}
export function shopNear(data) {
  return request.post("shop/shopNear", data,{ noAuth: true,noVerify:false,isLoading:false });
}

export function shopNears(data) {
  return request.post("shop/shopNears", data,{ noAuth: true,noVerify:false,isLoading:false });
}

export function getShopCate(data){
  return request.post("shop/getShopCate", data, { noAuth: true });
}
//特色美食

export function rankings(data){
  return request.post("shop/rankings", data, { noAuth: true });
}
export function childCateb(data) {
  return request.post("shop/childCateb", data, { noAuth: true });
}

export function childCate(data) {
  return request.post("shop/childCate", data, { noAuth: true });
}

export function focusShop(data) {
  return request.get("shop/focusShop", data, { noAuth: true });
}

export function getShopGoods(data) {
  return request.get("shop/getShopGoods", data, { noAuth: true });
}

export function checkShop(data) {
  return request.get('index/checkShop', data, { noAuth: false });
}

export function cartOperate(data) {
  return request.post("cart/cartOperate", data, { noAuth: true });
}
export function getCartGoods(data) {
  return request.post("cart/getCartGoods", data, { noAuth: true });
}
export function cleanCart(data) {
  return request.post("cart/cleanCart", data, { noAuth: true });
}
export function addNewStore(data) {
  return request.get("store/addNewStore", data, { noAuth: true });
}

/**
 * 我的粉丝
 * 
 */
export function getMyFans(data) {
  return request.post("store/myFans", data, { noAuth: true });
}

export function editShopAudit(data) {
  return request.post("store/editShopAudit", data, { noAuth: true });
} 

export function shopCate() {
  return request.get("store/shopCate", {}, {noAuth: true});

}

export function weidianIndex(data) {
  return request.get("shop/weidianIndex", data, { noAuth: true });
}
export function getWeidianGoods(data) {
  return request.get("shop/getWeidianGoodsList", data, { noAuth: true });
}

export function deleteCart(data) {
  return request.post("cart/deleteCart", data, { noAuth: true });
}
export function updateWeidianCart(data) {
  return request.post("cart/updateWeidianCart", data, { noAuth: true });
}
export function getHotelDetail(data) {
  return request.get("hotel/hotelDetail", data, { noAuth: true });
}
export function getGoodsSpec(data) {
  return request.get("goods/getGoodsSpec", data, { noAuth: true });
}
export function updateSpec(data) {
  return request.get("cart/updateSpec", data, { noAuth: true });
}
export function replyComment(data) {
    return request.post("store/replyComment", data, { noAuth: true });
}
export function getCertificate(data) {
  return request.get("shop/getCertificate", data, { noAuth: true });
}

export function postRunOrder(data) {
  return request.get("run_order/postRun", data, { noAuth: true });
}

//商户下架
export function closeshop(data) {
  return request.get("store/closeshop", data, { noAuth: true });
}

//店铺优惠券展示
export function getShopCoupons(data) {
  return request.get("Coupons/getShopCoupons", data, { noAuth: true });
}

//店铺优惠券领取
export function get_tap_and_pay(data) {
  return request.get("coupons/get_tap_and_pay", data, { noAuth: true });
}

//推荐店铺
export function getShopGoodsLimit(data) {
  return request.get("shop/getShopGoodsLimit", data, { noAuth: true });
}

//酒店快捷支付
export function payHotel(data){
  return request.get("hotel/hotel_quick_payment",data,{ noAuth:true});
}

//外卖商品是否有规格
export function eleHasSpec(data){
	return request.get("Shop/eleHasSpec", data, { noAuth: true });
}

//外卖商品主页
export function eleProductDetail(data){
	return request.get("EleProduct/eleProductDetail", data, { noAuth: true });
}


//外卖详情的轮播
export function select_rotation(data){
	return request.get("shop/select_rotation", data, { noAuth: true });
}

//外卖详情的轮播
export function carry_shop_list(data){
	return request.get("carry/carry_shop_list", data, { noAuth: true });
}

//判断是否显示
export function carry(data){
	return request.get("index/carry", data, { noAuth: true });
}
