/**
 *
 * 投票活动
 *
 */
import request from "./../utils/request.js";

//手机验证码
export function sendSms(data) {
   return request.post("match/sendSms", data, { noAuth: true });
}

//报名提交
export function apply(data) {
  return request.post("match/apply", data, { noAuth: true });
}

//生成支付日志
export function addpaylog(data) {
  return request.post("match/addpaylog", data, { noAuth: true });
}

//报名支付
export function moneyPay(data) {
  return request.post("match/moneyPay", data, { noAuth: true });
}

//活动信息/选手相关信息
export function matchinfo(data) {
  return request.post("match/matchinfo", data, { noAuth: true });
}

/**
 * 投票首页
 * @param {*} data 
 */
export function getIndex(data) {
  return request.post("match/index", data, { noAuth: true });
}

/**
 * 获取投票排行
 * @param {*} data 
 */
export function getRank(data) {
  return request.post("match/rank", data, { noAuth: true });
}

/**
 * 获取作品详情
 * @param {*} data 
 */
export function getWorksDetail(data) {
  return request.post("match/worksDetail", data, { noAuth: true });
}

/**
 * 投票
 * @param {*} data 
 */
export function updateVote(data) {
  return request.post("match/vote", data, { noAuth: true });
}

/**
 * 检查选手信息
 * @param {*} data 
 */
export function checkPlayerInfo(data) {
  return request.post("match/checkPlayerInfo", data, { noAuth: true });
}

/**
 * 上传作品
 * @param {*} data 
 */
export function updatePlayerInfo(data) {
  return request.post("match/updatePlayerInfo", data, { noAuth: true });
}
/**
 * 
 * @param {*} data 
 */
export function worksDetails(data) {
  return request.post("match/worksDetails", data, { noAuth: true });
}