// components/dialog/paymentCode/paymentCode.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    title: {
      type: String,
      value: "",
    },
    money: {
      type: String,
      value: "",
    },
    u_num: {
      type: Number,
      value: 0,
    },
    direct: {
      type: Boolean,
      value: "",
    },
    directs: {
      type: Boolean,
      value: "",
    },
    number: {
      type: Number,
      value: -1,
    },
    paymentType: {
      type: String,
      value: ''
    },
    order_id: {
      type: Number,
      value: 0,

    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    showPayPwdInput: false, //是否展示密码输入层
    pwdVal: '', //输入的密码
    payFocus: true, //文本框焦点
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /**
     * 显示支付密码输入层
     */
    showInputLayer: function () {
      this.setData({
        showPayPwdInput: true,
        payFocus: true,
      });
    },
    /**
     * 隐藏支付密码输入层
     */

    hidePayLayers: function () {
      console.log("不支付", this.data.order_id, this.data.paymentType)
      if (this.data.paymentType == 'ele') {
        wx.redirectTo({
          url: '/pages/shop/order/eleorder/eleLine_item/eleLine_item?order_id=' + this.data.order_id
        })
      }else if(this.data.paymentType == 'goods'){
        wx.redirectTo({
          url: '/pages/shop/order/weidianorder/weidianLine_item/weidianLine_item?order_id='+this.data.order_id,
        })
      }else{
        this.setData({
          showPayPwdInput:false
        })
      }
    },



    hidePayLayer: function () {
      // console.log("不支付", this.data.order_id, this.data.paymentType)
      // if (this.data.paymentType == 'ele') {
      //   wx.redirectTo({
      //     url: '/pages/shop/order/eleorder/eleLine_item/eleLine_item?order_id=' + this.data.order_id
      //   })
      // }else if(this.data.paymentType == 'goods'){
      //   wx.redirectTo({
      //     url: '/pages/shop/order/weidianorder/weidianLine_item/weidianLine_item?order_id='+this.data.order_id,
      //   })
      // }

      if (this.data.u_num == 1) {
        wx.navigateTo({
          url: '/pages/shop/shops/weidian/weidian_group_2/weidian_group_2?',
          // ?goods_id=' + goods_id + '&cate_id=' + cate_id,
        })
      }
      var val = this.data.pwdVal;

      this.setData({
        showPayPwdInput: false,
        payFocus: false,
        pwdVal: ''
      }, function () {});
    },
    /**
     * 获取焦点
     */
    getFocus: function () {
      this.setData({
        payFocus: true
      });
    },
    /**
     * 输入密码监听
     */
    inputPwd: function (e) {
      console.log(e)
      this.setData({
          pwdVal: e.detail.value,
          ele: 'el',
          weidian: 'wei'
        },

      );
      if (e.detail.value.length >= 6) {
        this.hidePayLayer();
        this.triggerEvent("submitpwd", {
          pwd: e.detail.value
        });

      }
    }
  }
})