// components/dialog/paymentCode/paymentCode.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
      title:{
        type:String,
        value:"",
      },
      money:{
        type: String,
        value: "",
      },
      u_num:{
        type: Number,
        value: 0,
      }
  },

  /**
   * 组件的初始数据
   */
  data: {
      showPayPwdInput: false,  //是否展示密码输入层
      pwdVal: '',  //输入的密码
      payFocus: true, //文本框焦点
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /**
       * 显示支付密码输入层
       */
    showInputLayer: function () {
      this.setData(
        { 
          showPayPwdInput: true,
          payFocus: true ,
        });
    },
    /**
     * 隐藏支付密码输入层
     */
    
    hidePayLayer: function () {
    wx.showModal({
      title: '是否取消支付',
      success (res) {
        if (res.confirm) {
          wx.redirectTo({
            url: '/pages/shop/order/weidianorder/weidianLine_list_user/weidianLine_list_user',
          })
        } else if (res.cancel) {
          console.log('用户点击取消')
        }
      }
    })

      // var val = this.data.pwdVal;
      
      // this.setData({ showPayPwdInput: false, payFocus: false, pwdVal: '' }, function () {
      // });
    },
    /**
     * 获取焦点
     */
    getFocus: function () {
      this.setData({ payFocus: true });
    },
    /**
     * 输入密码监听
     */
    inputPwd: function (e) {
      console.log(e)
      this.setData({ pwdVal: e.detail.value });
      if (e.detail.value.length >= 6) {
        this.hidePayLayer();
        this.triggerEvent("submitpwd", { pwd: e.detail.value});
        
      }
    }
  }
})
