// pages/lmping/home/home.js
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
var staticUrl = app.globalData.staticUrl;


import {getGroupListsub} from "../../../api/lmping";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath,
    staticUrl,
    type:"",

    lundata:["A","B","c","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"],
    pronum:["一","二","三","四","五","六","七","八","九","十","十一","十二","十三","十四","十五"],
    time: 30 * 60 * 60 * 1000,
    timeData: {},

    thisYMD:"",//当前年月日
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({ //顶部通知栏高度
      statusBarHeight: wx.getSystemInfoSync().statusBarHeight,
    })

    if (options.type) {
      this.setData({
        type:options.type,
      })
    }

    //获取当前年月日
			var date = new Date();
			var year = date.getFullYear(); //获取当前年份(2位)
			var MM = date.getMonth() + 1;
			if (MM < 10) {
				MM = "0" + MM;
			}
			var DD = date.getDate();
      this.setData({
        thisYMD:`${year}-${MM}-${DD}`,
      })
  },
  //进入商品详情
  todetailes(e){
    // console.info(e,"eee");
    let item = e.currentTarget.dataset.item;
    if(item.timestate==2){
      wx.showToast({
        title: '很抱歉此产品开团时间已结束，不可继续参团。',
        icon:"none"
      })
      return ;
    }
    wx.navigateTo({
      url:`/pages/shop/shops/weidian/ping_details/ping_details?goods_id=${item.goods_id}&group_id=${item.group_id}&rentersum=${item.join_num}&ppj=${item.spell_price}`,
    })
  },
  //通过字符串小时 获取当前时间戳
  getdatetime(strtime){
    var date = new Date();
    var year =  date .getFullYear(); //获取当前年份(2位)
    var MM =  date.getMonth()+1;
    if(MM<10){
      MM = "0"+MM;
    }
    var DD = date.getDate();
    var dates =  new Date(`${year}/${MM}/${DD} ${strtime}`).getTime();
    dates =dates/1000
    return dates;
  },
  //返回上一页
  tobreak(){
    wx.navigateBack({
    })
  },
  //获取开团商品子列表
  getGroupListsubfun() {
    getGroupListsub({
      type: this.data.type,
    }).then((res) => {
      if (res.code == 0) {
        let list  =res.data;
        list = list.map((item,index)=>{
          item.end_time1 = item.end_time;
          item.start_time1 = item.start_time;
          item.end_time = this.getdatetime(item.end_time);
          item.start_time = this.getdatetime(item.start_time);
          item.thistime = Date.parse(new Date())/1000;
          item.time = (item.end_time-item.thistime)*1000;
          console.info("item.start_time>item.thistime",item.start_time>item.thistime);
          if(item.start_time>item.thistime){
            //还没开始
            item.timestate = 0;
          }else if(item.end_time<item.thistime){
            //结束了
            item.timestate = 2;
          }
          item.timeData = {};
          return item;
        })
        this.setData({
          goodslist:list,
        })
      } else {
        this.setData({
          goodslist:[],
        })
      }
    })
  },
  onChangetiem(e){
    // console.info(e.currentTarget.dataset.index);
    let goodslist = this.data.goodslist;
    goodslist[e.currentTarget.dataset.index].timeData = e.detail;
    console.info(e.currentTarget.dataset.index,"e.currentTarget.dataset.index");
    this.setData({
      goodslist,
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getGroupListsubfun();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },
})