// pages/lmping/myfans/myfans.js
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
import { getGroupUserList } from "../../../api/lmping.js";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath,

    page: 0,
    isshowall: false,
    share_count: 0,
    vip_count: 0,
    datalist: [],

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getGroupUserListfun();
  },
  getGroupUserListfun() {
    this.data.page++;
    getGroupUserList({
      page: this.data.page,
    }).then((res) => {
      if (res.code == 0) {

        if (res.data.vip_count == null || res.data.vip_count == '') {
          this.setData({
            vip_count:0,
          })
        } else {
          this.setData({
            vip_count:res.data.vip_count
          })
        }
        if (res.data.share_count == null || res.data.share_count == '') {
          this.setData({
            share_count:0,
          })
        } else {
          this.setData({
            share_count:res.data.share_count,
          })
        }

        this.setData({
          datalist:[...this.data.datalist, ...res.data.list],
        })
        if (res.data.list.length == 0 ) {
          wx.showToast({
            title: '没有更多了~',
            icon:"none"
          })
          this.setData({
            isshowall:true,
          })
        }
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if(this.data.isshowall==false){
      this.getGroupUserListfun();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})