// pages/lmping/pushcard/pushcard.js
const app = getApp();
var clientImgPath = app.globalData.clientImgPath;
var img_host = app.globalData.ImgPath;
var staticUrl = app.globalData.staticUrl;

import _app from '../../../utils/QS-SharePoster/app.js';
import getSharePoster from '../../../utils/QS-SharePoster/QS-SharePoster.js';
import drawQrcode from '../../../utils/qrcode/weapp.qrcode.js'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    clientImgPath,
    img_host,
    staticUrl,
    userInfo: {},

    //画布
    poster: {},
    qrShow: false,
    canvasId: 'default_PosterCanvasId',

    // 二维码
    cpSize: 145,
    result: "",

    secret_key:"",//邀请码

    hidden: false,

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let userInfo = wx.getStorageSync('userInfo');
    this.setData({
      userInfo: userInfo.info,
      secret_key:options.secret_key,//邀请码
    })

    this.caerteqrcode();

    this.shareFc();//去画图

  },
  setUserInfo(e) { //点击了授权 
    if (e.detail) {
      this.setData({
          hidden: false,
      });

      let userInfo = wx.getStorageSync('userInfo');
      this.setData({
        userInfo: userInfo.info,
        secret_key:options.secret_key,//邀请码
      })
      this.caerteqrcode();
      this.shareFc();//去画图
    }
  },
  //复制邀请码
  cpoesharecode(){
    wx.setClipboardData({
      data: this.data.secret_key,
      success (res) {
        wx.showToast({
          title: '复制成功！',
        })
      }
    })
  },
  //生成二维码 单独的二维码
  caerteqrcode() {
    drawQrcode({
      // width: 140,
      // height: 140,
      width: 140,
      height: 140,
      x: 5,
      y: 5,
      canvasId: 'tki-qrcode-canvas',
      // typeNumber: 10,
      text: `https://pindev.jxdsy.cn/qrcodetwo?uid=${this.data.userInfo.user_id}&type=10&secret_key=${this.data.secret_key}`,
      image: {
        // imageResource: "",//res.path,
        // dx: 85,
        // dy: 85,
        // dWidth: 30,
        // dHeight: 30    
      },
      callback(e) {
        // console.log('e: ', e)
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    //授权弹窗
    if(!wx.getStorageSync('userInfo')){
      this.setData({
        hidden:true,
      });
      return;
    }
  },
  

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  //计算字符串字节长度
  /* 
       * 截取指定字节长度的字符串 
       * 注：半角长度为1，全角长度为2
       * str:字符串 
       * len:截取长度
       * return: 截取后的字符串及是否截取的标记（扩展用）code=1 字符串截断   code=0  字符串未截断
       */
  cutStrByte(str, len) {
    //校验参数
    if (!str || !len) {
      return { "cutStr": "", "code": 0 };
    }
    var code = "1",// 默认返回code值，已截断
      strLen = str.length,// 原字符串长度
      cutStr;
    //如果字符串长度小于截取长度的一半,则返回全部字符串
    if (strLen <= len / 2) {
      cutStr = str;
      code = "0";
    } else {
      //遍历字符串
      var strByteCount = 0;
      for (var i = 0; i < strLen; i++) {
        //中文字符字节加2  否则加1
        strByteCount += this.getByteLen(str.charAt(i));
        //i从0开始 截断时大于len 只截断到第i个
        if (strByteCount > len) {
          cutStr = str.substring(0, i);
          cutStr += '...'
          break;
        } else if (strByteCount == len) {
          cutStr = str.substring(0, i + 1);
          cutStr += '...'
          break;
        }
      }
    }
    //cutstr为空，没有截断字符串
    if (!cutStr) {
      cutStr = str;
      code = "0";
    }
    return { "cutStr": cutStr, "code": code };
  },

  /**
   * 获取字节长度，全角字符两个单位长度，半角字符1个单位长度
   */
  getByteLen(val) {
    var len = 0;
    if (!val) {
      return len;
    }
    for (var i = 0; i < val.length; i++) {
      if (!val[i]) {
        continue;
      }
      // 全角
      if (val[i].match(/[^\x00-\xff]/ig) != null) {
        len += 2;
      } else {
        len += 1;
      }
    }
    return len;
  },
  // 生成海报
 // 画布画二维码
  // 生成海报
  shareFc() {
    try {
      let backgroundImage = this.data.clientImgPath+"/images/lmping/pushcardbgs.png?1=1";
      // let backgroundImage = "https://s3.ax1x.com/2021/03/13/6dVyUx.png";
      let username = this.data.userInfo.nickname;//"小谢安静安静爱家居";//this.userInfo.nickname
      let resdata  = this.cutStrByte(username,10);
      username = resdata.cutStr;
      
      let pianyidata = -29;
      let textpianyi = 0;
      let len = this.getByteLen(username);//username.length
      console.info(len,"len");
      
      let qcodeobj = {
        text: `https://pindev.jxdsy.cn/qrcodetwo?uid=${this.data.userInfo.user_id}&type=10&secret_key=${this.data.secret_key}`,
        size: 220,//bgObj.width*0.2
        dx: 170,//bgObj.width*0.05
        dy: 410//bgObj.height - bgObj.width*0.25
      }
      
      _app.log('准备生成:' + new Date())
      getSharePoster({
        isshowmodel: false,//不显示加载
        backgroundImage: backgroundImage,//"https://s2.ax1x.com/2019/12/21/Qvt9uq.png",//背景图
        type: 'testShareType',
        posterCanvasId: this.data.canvasId,
        qrCodeArray: ({ bgObj, type, bgScale }) => {//二维码
          return [qcodeobj]
        },
        imagesArray: ({ bgObj, type, bgScale }) => { //接收的第一个参数为背景图片的信息, 第二个参数是自定义标识（感觉这里用不到）, 图片为示例图片
          const dx = bgObj.width * 0.5;
          return [
            //头像
            {
              type: 'image',
              url: this.data.userInfo.face,
              // alpha: .3,
              // dx:100,
              textAlign: 'center',
              dx: dx + pianyidata,
              dy: 105,//bgObj.height - bgObj.width * 0.25,
              infoCallBack(imageInfo) {
                let scale = bgObj.width * 0.1 / imageInfo.height;
                return {
                  circleSet: {
                    x: imageInfo.width * scale / 2,
                    y: bgObj.width * 0.1 / 2,
                    r: bgObj.width * 0.1 / 2
                  }, // 圆形图片 , 若circleSet与roundRectSet一同设置 优先circleSet设置
                  dWidth: imageInfo.width * scale, // 因为设置了圆形图片 所以要乘以2
                  dHeight: bgObj.width * 0.1,
                  /* roundRectSet: { // 圆角矩形
                  
                    r: imageInfo.width * .1
                  } */
                }
              }
            },
          ]
        },
        textArray: ({ bgObj, type, bgScale }) => {
          const fontSize = bgObj.width * 0.045;
          const lineHeight = bgObj.height * 0.04;
          return [
            
            //昵称
            {
              type: 'text',
              text: username,
              size: 30,
              color: '#000000',
              alpha: 1,
              textAlign: 'center',
              textBaseline: 'middle',
              fontFamily: "KaiTi",
              infoCallBack(textLength) {
                return {
                  dx: bgObj.width / 2 + textpianyi,
                  dy: 180
                }
              }
            },

            {
              type: 'text',
              text: `邀请码: ${this.data.secret_key}`,
              size: 26,
              color: '#000000',
              alpha: 1,
              textAlign: 'center',
              textBaseline: 'middle',
              fontFamily: "KaiTi",
              infoCallBack(textLength) {
                return {
                  dx: bgObj.width / 2 + textpianyi,
                  // dx: 0,
                  dy: 383
                }
              }
            },
          ]
        },
        setCanvasWH: ({ bgObj, type, bgScale }) => { // 为动态设置画布宽高的方法，
          this.setData({
            poster: bgObj
          })
        },
        setDraw: ({ Context, bgObj, type, bgScale }) => {

        }
      }).then((d) => {
        console.info("生成海报成功", d.poster.tempFilePath);
        let { poster } = this.data;
        poster.finalPath = d.poster.tempFilePath;
        this.setData({
          poster
        })
      }).catch((e) => {
        console.info(e);
      })
      // this.share();//直接去分享
    } catch (e) {
      console.info(e,"eee");
      _app.hideLoading();
      _app.showToast(JSON.stringify(e));
      console.log(JSON.stringify(e));
    }
  },
  saveImage() {
    if(!this.data.poster.finalPath){
      //没生产出来哦 不能分享
      wx.showToast({
        title: '请稍后再试~',
        icon:"none"
      })
      console.info("没生成出来0?");
      return false;
    }
    
    // #ifndef H5
    wx.saveImageToPhotosAlbum({
      filePath: this.data.poster.finalPath,
      success:(res)=> {
        _app.showToast('保存成功');
        
      }
    })
  },
  share() {
    if(!this.poster.finalPath){
      //没生产出来哦 不能分享
      console.info("没生成出来1?");
      this.$api.msg("请稍后重试~");
      return false;
    }
    
    // #ifdef APP-PLUS
    _app.getShare(false, false, 2, '', '', '', this.poster.finalPath, false, false);
    // #endif
  
    // #ifndef APP-PLUS
    _app.showToast('分享了');
    // #endif
    
  },
  hideQr() {
    this.qrShow = false;
  }
  // end

})