
var app = getApp()
import { duolabaoPay } from '../../api/api.js';
var http_host = app.globalData.url
Page({
  data: {
    order_id:'',
    order_type:'',
  },
  onLoad: function (options) {
    console.info(options,'hahahha')
    var that = this
    that.setData({
      order_id:options.order_id,
      order_type:options.order_type
    })
    that.btn_pay(options);
  },
  btn_pay: function (options) {
    var that = this
    var order_amount = options.order_amount;
    var logs_id = options.logs_id;
    duolabaoPay({ logs_id: logs_id, order_amount: order_amount }).then(result => {
      if (result.code == 0) {
        wx.requestPayment({
          timeStamp: result.data.timeStamp,
          nonceStr: result.data.nonceStr,
          package: result.data.package,
          signType: result.data.signType,
          paySign: result.data.paySign,
          success: function (successret) {
            console.log(successret);
            let retail_info = wx.getStorageSync('retail_info') //清空分销信息
            //console.log('order_type',result.data.order_type);
            if (retail_info) {
              wx.removeStorageSync('retail_info')
            }
            if (result.data.order_type == 'ele') {
              wx.redirectTo({ url: '/pages/shop/order/eleorder/pay_success_ele/pay_success_ele?log_id=' + logs_id + '&amount=' + order_amount +'&order_id=' + result.data.order_id +'&order_type=' + result.data.order_type });
            } else if (result.data.order_type == 'goods') {
              wx.redirectTo({
                url: '/pages/shop/order/weidianorder/pay_success_weidian/pay_success_weidian?amount=' + order_amount + '&log_id=' + logs_id+'&order_id=' + result.data.order_id +'&order_type=' + result.data.order_type,
              })
            } else if (result.data.order_type == 'hotel') {
              wx.redirectTo({
                url: '/pages/shop/hotel/hotel_pay_success/hotel_pay_success?money=' + order_amount + '&log_id=' + logs_id + '&order_id=' + result.data.order_id+'&order_type=' + result.data.order_type,
              })
            
            } else if (result.data.order_type == 'money') {
              wx.redirectTo({
                url: '/pages/personal/top_up_success/top_up_success?amount=' + order_amount + '&log_id=' + logs_id,
              })
            }else if (result.data.order_type == 'vote') {
              wx.redirectTo({
                url: '/pages/competition/Successful/Successful',
              })
            }

          },
        })
      } else {
        wx.showToast({
          title: result.msg,
          // image: "../../images/error.png",
          // mask: true
        })
        setTimeout(function () {
          wx.hideToast({
            success: function () {
              wx.navigateTo({ url: '/pages/recharge/recharge' });
            }
          });
        }, 2000)
      }
    })
  }
})