// pages/register/register.js
import {login,sendSms} from "../../api/lmping";
Page({

  /**
   * 页面的初始数据
   */
  data: {
    phone: '',//手机号
    password: '',//不用
    code: '',//验证码
    invitation: '',//邀请码
    agreement: false,//true
    showPassword: false,
    second: 0,
    yanzhengma:"获取验证码",

    isloagin:1,//1登陆  2注册
  },
  //手机号
  changeinput(e){
    this.setData({
      phone:e.detail.value,
    })
  },
  //邀请码
  changeinvitation(e){
    this.setData({
      invitation:e.detail.value,
    })
  },
  //验证码
  changeinputcode(e){
    this.setData({
      code:e.detail.value,
    })
  },
  clear(){
    
  },
  display() {
    this.data.showPassword = !this.data.showPassword
  },
  agreementSuccess() {
    //this.agreement = !this.agreement;
    this.setData({
      agreement:!this.data.agreement,
    })
  },
  getcode() {
    if (this.data.phone.length != 11) {
      wx.showToast({
        icon: 'none',
        title: '手机号不正确'
      });
      return;
    }
    if (this.data.second > 0) {
      return;
    }
    
    //发送验证码
    sendSms({
      mobile:this.data.phone,
      smstype:"2",
    }).then((res)=>{
      if(res.code==0){

        this.setData({
          second:60,
        })
        //请求业务
        var js = setInterval(()=> {
          this.setData({
            second:this.data.second-1,
          })
          if (this.data.second == 0) {
            clearInterval(js)
            js = null
            this.data.second = 0
          }
        }, 1000)

      }else{
        wx.showToast({
          title: res.msg,
          icon:"none"
        })
      }
    })

    
    
  },
  bindLogin() {
    if (this.data.agreement == false) {
      wx.showToast({
        icon: 'none',
        title: '请先阅读《用户使用协议》'
      });
      return;
    }
    if (this.data.phone.length != 11) {
      wx.showToast({
        icon: 'none',
        title: '手机号不正确'
      });
      return;
    }
    
    login({
      mobile: this.data.phone,
      code: this.data.code,
      secret_key: this.data.invitation
    }).then((res)=>{
      if(res.code==0){
        // wx.setStorageSync('token', res.data.token)
        // wx.setStorageSync('userInfo', res.data)
        wx.switchTab({
          url:"/pages/index/index"
        })
      }else{
        wx.showToast({
          icon: 'none',
          title: res.msg,
        });
      }
    })
     
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      invitation:"",
    })

    if(options.isloagin==1){
      this.setData({
        isloagin:"1",//登录
      })
    }else{
      this.setData({
        isloagin:"0",//注册
      })
    }
    if(this.data.isloagin==1){ 
      wx.setNavigationBarTitle({
        title: '登录' 
      })
    }else{
      wx.setNavigationBarTitle({
        title: '注册' 
      })
    }

  },
  tolagglepage(e){
    let isloagin = e.currentTarget.dataset.type;
    this.onLoad({
      isloagin:isloagin,
    })
  },
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let secret_key = wx.getStorageSync('secret_key');
    if(secret_key){
      this.setData({
        invitation:secret_key,//设置默认邀请码
      })
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})