import util from './util.js';
import { login } from './../api/user.js';
import { logout } from './../api/api.js';

export default function authLogin(login_type){
  return new Promise((reslove, reject) => {
    util.autoLogin().then(userInfo => {
      login(userInfo).then(res => {
        console.log("授权",res.data);
        let data = res.data.data;
        getApp().globalData.token = data.token;
        getApp().globalData.userInfo = res.data.userInfo;
        getApp().globalData.isLog = true;
        getApp().globalData.expiresTime = data.expires_time;
        if (data.cache_key) wx.setStorage({ key: 'cache_key', data: data.cache_key });
        reslove();
      }).catch(err=>{
        //console.log('here3')
        reject();
      });
    }).catch(err=>{
      reject();
    });
  })
}